/* slld_fld.h - Device configuration file for the SLLD */

/**************************************************************************
* 2003-2016, Cypress Semiconductor Corporation or a subsidiary of Cypress 
* Semiconductor Corporation.  All rights reserved.
* 
* This software, including source code, documentation and related materials 
* (Software), is owned by Cypress Semiconductor Corporation or one of its 
* subsidiaries (Cypress) and is protected by and subject to worldwide patent 
* protection (United States and foreign), United States copyright laws and 
* international treaty provisions. Therefore, you may use this Software only 
* as provided in the license agreement accompanying the software package from 
* which you obtained this Software (EULA).
* 
* If no EULA applies, Cypress hereby grants you a personal, non-exclusive, 
* non-transferable license to copy, modify, and compile the Software source code 
* solely for use in connection with Cypress's integrated circuit products.  Any 
* reproduction, modification, translation, compilation, or representation of 
* this Software except as specified above is prohibited without the express 
* written permission of Cypress.
* 
* Disclaimer: THIS SOFTWARE IS PROVIDED AS-IS, WITH NO WARRANTY OF ANY KIND, 
* EXPRESS OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, NONINFRINGEMENT, IMPLIED 
* WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE. Cypress 
* reserves the right to make changes to the Software without notice. Cypress does 
* not assume any liability arising out of the application or use of the Software 
* or any product or circuit described in the Software. Cypress does not authorize 
* its products for use in any products where a malfunction or failure of the Cypress 
* product may reasonably be expected to result in significant property damage, injury 
* or death (High Risk Product). By including Cypress's product in a High Risk Product, 
* the manufacturer of such system or application assumes all risk of such use and in 
* doing so agrees to indemnify Cypress against all liability.
*/

#ifndef  __INC_slldtargetspecifich
#define __INC_slldtargetspecifich

#ifdef __cplusplus
extern "C" {
#endif /* __cplusplus */


// don't need to sunifdef
//INCLUDE_SOFTWARE_PROTECT_STATUS_CHECK
//USE_4B_ADDR_CMDS

// Flash page size
#define PAGE_SIZE (256)
#define PAGE_MASK (PAGE_SIZE-1)

// Status register error bits definition
#define STATUS_ERROR_FLAGS  (HAS_STATBIT5_ERROR | HAS_STATBIT6_ERROR)

// Read ID command
#define SPI_READ_ID_CMD SPI_RDID_AB_CMD
#define SPI_RDID_CMD SPI_RDID_9F_CMD

// defin block protect bit mask
#define BLOCK_PROTECT_BITS_MASK  (0x1C)

//************************************************************************
// enables code to execute commands from a file instead of directly from *
// the command line.													 *
//************************************************************************
#define ENABLE_SCRIPTING_MACRO

/************************************************************************
* Creates lld_printf.log file and writes all the LLD_PRINTFs to it      *
************************************************************************/
//#define LLD_PRINTF_LOGFILE


//*******************************************************
// Define system base address   *
// Followed is just example code, user have to modify the mask and shift bit number based on own system configuration
//*******************************************************
#define BASE_ADDR_MASK    0xC0000000
#define BASE_ADDR_SHIFT_BIT 30
//*******************************************************
// Define flash simulator R/W debug macro (no trace)    *
//*******************************************************
#ifdef __FLASHMODEL
// The number of clocks to write various types of data
#define WRITEDATALEN 8
#define WRITECMDLEN  8
#define WRITEADDR24  24
#define WRITEADDR32  32

#define DEBUG_FLASH_WR(b,d)   spiSignalManagerAdapter->SM_ADPT_WR((UINT32)(b), WRITEDATA, d, WRITEDATALEN)
#define DEBUG_FLASH_RD(b)     spiSignalManagerAdapter->SM_ADPT_RD()
#else
// The number of clocks to write various types of data
// these values are only used by the model
#define WRITEDATALEN 0
#define WRITECMDLEN  0
#define WRITEADDR24  0
#define WRITEADDR32  0

#endif

#ifdef __cplusplus
}
#endif /* __cplusplus */
#endif /* __INC_slldtargetspecifich */
